Subject: Re: BCM4313 & brcmsmac & 3.12: only semi-working?

From: Arend van Spriel <[email-masked]>
Date: Tue, 23 Sep 2014 14:47:45 +0200

On 09/23/14 12:04, Michael Tokarev wrote:
> 21.09.2014 19:30, Michael Tokarev wrote:
>> Namely, after resume, the card does not work. ARP works, ping and
>> DNS sometimes/somewhat work, inital TCP connection establisment
>> works, but eg http download does not work, it stalls almost
>> immediately.
>
> It does not work at all anymore again.  Not only after resume but also
> after could power up, it stalls right at start of wget for example.
>
>> http://www.corpit.ru/mjt/tmp/brcmsmac-4313-trace-20140921.dat.gz -- this
>> is a trace collected after resuming from suspend-to-disk
>
> And here -- http://www.corpit.ru/mjt/tmp/brcmsmac-4313-trace-20140923.dat.gz
> is another trace, after insmod brcmutils&  brcmsmac, starting trace-cmd record
> (with network-manager running in the background), and running a wget on
> http://ip-add-ress-of-the-access-point/somefile (which immediately stalls,
> showing minimal progress once in a while only).

Well. This log and the one from a few days ago only show me interrupt 
status changes, which does not tell me a lot. I do see that the hardware 
signals transmit completions, but it is far less informative then I 
hoped it would be. Maybe I am missing some debug configuration here?

Seth, would you know?

Regards,
Arend

> Hopefully this will help to find the problem.  And for the record, I'm
> _again_ without the wifi network.  But unlike of the previous situation,
> I can at least buy some other, better supported wifi adapter now, because
> this laptop does not have a bios lock (is 6235ANHMW any good?)
>
> Thanks,
>
> /mjt